Subject: Re: [REGRESSION in 3.18][PPC] PA Semi fails to boot after: of/base: Fix PowerPC address parsing hack

From: Michael Ellerman <[email-masked]>
Date: Mon, 23 Mar 2015 10:52:32 +1100

On Mon, 2015-03-09 at 17:33 -0700, Olof Johansson wrote:
> On Mon, Mar 9, 2015 at 5:28 PM, Michael Ellerman <[email-masked]> wrote:
> > On Sat, 2015-03-07 at 15:02 +1100, Benjamin Herrenschmidt wrote:
> >> On Fri, 2015-03-06 at 15:50 -0800, Olof Johansson wrote:
> >> > On Fri, Mar 6, 2015 at 2:56 PM, Benjamin Herrenschmidt
> >> > <[email-masked]> wrote:
> >> > > On Fri, 2015-03-06 at 10:00 -0500, Steven Rostedt wrote:
> >> > >> On Fri, 06 Mar 2015 15:18:42 +1100
> >> > >> Benjamin Herrenschmidt <[email-masked]> wrote:
> >> > >>
> >> > >>
> >> > >> > Can you shoot me the DT (/proc/device-tree in a tarball) ?
> >> > >>
> >> > >> Attached.
> >> > >
> >> > > This is indeed a bug in their DT. We might want to add quirks for
> >> > > that unless it can be fixed (or has been via FW update). Olof ?
> >> >
> >> > FW updates on this platform are highly unlikely. Quirk it is.
> >>
> >> Oh I was not expecting a new FW, I was mostly wondering whether Steven
> >> had the latest one since I *think* Michael has been testing with the
> >> PA board we got here and didn't see that problem ... anyway, I'll check
> >> with him early next week and clean up / submit that patch.
> >
> > Yeah I have been testing semi-regularly.
> >
> > 4.0-rc2 boots fine on mine.
> >
> > But mine is an Athena, Steve's is an Electra. So they're not identical.
> 
> I have a chitra in my boot farm, so I run every build I do on it. I
> have not hit it either, which confused me.
> 
> Turns out that Steven's machine boots with idle=doze, which is the
> part that makes all the difference.

Aha, that is the key.

So mine also crashes with idle=doze, even with the newer firmware.

So we'll have to fix this with the quirk in the kernel.

cheers